/*
 * Copyright ©2006 pinc Software. All Rights Reserved.
 * Distributed under the terms of the MIT License.
 */
#ifndef OPTION_KEY_H
#define OPTION_KEY_H


#include <InputServerFilter.h>
#include <Message.h>
#include <OS.h>


// export this for the input_server
extern "C" _EXPORT BInputServerFilter* instantiate_input_filter();
 

class OptionKey : public BInputServerFilter {
	public:
		OptionKey();
		virtual ~OptionKey();

		virtual	filter_result Filter(BMessage* message, BList* outList);

	private:
		void _FilterModifiers(BMessage* message, const char* name);

		int32	fKey;
};

#endif // OPTION_KEY_H
